## org.eclipse.datatools.connectivity.sqm.core.rte
Class EngineeringOption.EnumLiteral

    java.lang.Object
      org.eclipse.datatools.connectivity.sqm.core.rte.EngineeringOption.EnumLiteral

Enclosing class:
  EngineeringOption

public static final class EngineeringOption.EnumLiteral
extends java.lang.Object

Constructor Summary
`EngineeringOption.EnumLiteral(java.lang.String name, java.lang.String description)`

Method Summary
`java.lang.String` `getDescription()`
`java.lang.String` `getName()`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### EngineeringOption.EnumLiteral

    public EngineeringOption.EnumLiteral(java.lang.String name,
                                         java.lang.String description)

Method Detail

### getName

    public java.lang.String getName()

### getDescription

    public java.lang.String getDescription()

Copyright © 2006 Actuate, IBM Corporation, Sybase, Inc. and others. All rights reserved.